> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Employment Types

Retrieve all employment types


## OpenAPI

````yaml /openapi.json get /v1/employment-types
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/employment-types:
    get:
      summary: ' Get Employment Types'
      operationId: v1_employment-types_getEmploymentTypes
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 200
            default: 20
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmploymentTypesResponse'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
components:
  schemas:
    GetEmploymentTypesResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EmploymentType'
        cursor:
          type: string
      required:
        - items
    EmploymentType:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - contractor
            - employee
        compensationTimePeriod:
          type: string
          enum:
            - hourly
            - salaried
        amountWorked:
          type: string
          enum:
            - part_time
            - full_time
            - temporary
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        updatedAt:
          type: string
          example: 2024-11-20T07:43:34+0000
      required:
        - id
        - name
        - type
        - compensationTimePeriod
        - amountWorked
        - createdAt
        - updatedAt
      id: EmploymentType
      x-speakeasy-group: v1.employment-types
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````